unit u_bl_cut; { ... Unidad para poner bloques de 8x8 a lo cutre... }
interface
uses graf256;

type
    t_matriz_ocho=array [1..8,1..8] of byte;

    procedure pon_bloque (var matriz_ocho:t_matriz_ocho;px,py:integer);
    procedure pon_bloque_t (var matriz_ocho:t_matriz_ocho;px,py:integer;
      trans:byte);
implementation

{ ------------------------------------------------------------------------ }

  procedure pon_bloque (var matriz_ocho:t_matriz_ocho;px,py:integer);
  var
    conta,conta2:byte;

    begin
    for conta:=0 to 7 do
      for conta2:=0 to 7 do
         putpixel (px+conta,py+conta2,matriz_ocho [conta+1,conta2+1]);
    end;{ //-- Fin de pon_bloque }
{ ------------------------------------------------------------------------ }

  procedure pon_bloque_t (var matriz_ocho:t_matriz_ocho;px,py:integer;
     trans:byte);
  var
    conta,conta2:byte;

    begin
    for conta:=0 to 7 do
      for conta2:=0 to 7 do
         begin
           if matriz_ocho [conta+1,conta2+1]<>trans then
            putpixel (px+conta,py+conta2,matriz_ocho [conta+1,conta2+1]);
         end;
    end;
{ ------------------------------------------------------------------------ }
end.